

import java.awt.*;
import javax.swing.*;


public class ImageButton extends JPanel {

    /** the toolbar */
	Container parent;
	/** the button */
	Image image;

	public ImageButton(Image image, Container parent)
	{
		MediaTracker iconTracker;
		this.image = image;
		this.parent = parent;

		iconTracker = new MediaTracker(this);
		iconTracker.addImage(this.image,0);

		try {
			iconTracker.waitForAll();
		} catch (InterruptedException e) {
			System.err.println("Error waiting for image in imageButton ");
		}
        repaint();
    }

	public void paint(Graphics g) {
            setSize(40, 30);
            g.drawImage(image, 1, 1, this);
	}

    /**
	 * Retrieves toolbar's button preferred size
	 *
	 * @return Dimension preferred size of the button on the toolbar
	 */
	public Dimension getPreferredSize()
	{
		return new Dimension(40,30);
	}

	/**
	 * Sets, if not set, and retrieves toolbar's button minimum size
	 *
	 * @return Dimension minimum size of the button on the toolbar
	 */

	public synchronized Dimension getMinimumSize()
	{
		return new Dimension(40,30);
	}

    public int getHeight()
	{
		return 40;
	}

	/**
	 * Retrieves toolbar's button's width
	 *
	 * @return int the width of the button on the toolbar
	 */
	public int getWidth()
	{
		return 30;
	}

}
